# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate tokio

Name:           rust-%{crate}
Version:        0.1.7
Release:        5%{?dist}
Summary:        Platform for writing asynchronous I/O backed applications

License:        MIT
URL:            https://crates.io/crates/tokio
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Add dev-dep for tokio-codec (from upstream)
Patch0:         tokio-0.1.7-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(futures) >= 0.1.20 with crate(futures) < 0.2.0)
BuildRequires:  (crate(mio) >= 0.6.14 with crate(mio) < 0.7.0)
BuildRequires:  (crate(tokio-executor) >= 0.1.2 with crate(tokio-executor) < 0.2.0)
BuildRequires:  (crate(tokio-fs) >= 0.1.0 with crate(tokio-fs) < 0.2.0)
BuildRequires:  (crate(tokio-io) >= 0.1.6 with crate(tokio-io) < 0.2.0)
BuildRequires:  (crate(tokio-reactor) >= 0.1.1 with crate(tokio-reactor) < 0.2.0)
BuildRequires:  (crate(tokio-tcp) >= 0.1.0 with crate(tokio-tcp) < 0.2.0)
BuildRequires:  (crate(tokio-threadpool) >= 0.1.4 with crate(tokio-threadpool) < 0.2.0)
BuildRequires:  (crate(tokio-timer) >= 0.2.4 with crate(tokio-timer) < 0.3.0)
BuildRequires:  (crate(tokio-udp) >= 0.1.0 with crate(tokio-udp) < 0.2.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(bytes) >= 0.4.0 with crate(bytes) < 0.5.0)
BuildRequires:  (crate(env_logger) >= 0.4.0 with crate(env_logger) < 0.5.0)
BuildRequires:  ((crate(flate2) >= 1.0.0 with crate(flate2) < 2.0.0) with crate(flate2/tokio))
BuildRequires:  (crate(futures-cpupool) >= 0.1.0 with crate(futures-cpupool) < 0.2.0)
BuildRequires:  (crate(http) >= 0.1.0 with crate(http) < 0.2.0)
BuildRequires:  (crate(httparse) >= 1.0.0 with crate(httparse) < 2.0.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(num_cpus) >= 1.0.0 with crate(num_cpus) < 2.0.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
BuildRequires:  (crate(serde_json) >= 1.0.0 with crate(serde_json) < 2.0.0)
BuildRequires:  (crate(time) >= 0.1.0 with crate(time) < 0.2.0)
BuildRequires:  (crate(tokio-codec) >= 0.1.0 with crate(tokio-codec) < 0.2.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
An event-driven, non-blocking I/O platform for writing asynchronous I/O
backed applications.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-5
- Rebuild to trigger tests

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-4
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-2
- Add dev-dep on tokio-codec

* Mon Jun 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Thu May 03 2018 Josh Stone <jistone@redhat.com> - 0.1.6-1
- Update to 0.1.6

* Tue Apr 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Fri Mar 23 2018 Josh Stone <jistone@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3

* Fri Mar 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.2-1
- Initial package
